## pytest-mpi 0.4

=== debian/changelog ===
pytest-mpi (0.4-4) unstable; urgency=medium

  * debian/tests: temporarily skip test_mpi_with_mpi and
    test_mpi_only_mpi. See Bug#980842.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Feb 2021 12:07:22 +0100

pytest-mpi (0.4-3) unstable; urgency=medium

  * debian patch fix_pytest6_PR12.patch applies upstream PR12 to
    enable pytest-mpi to work with pytest6. Closes: #979290.
  * debian/tests: use pytest -s to show test error messages
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Jan 2021 12:00:36 +1100

pytest-mpi (0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Drew Parsons ]
  * build docs against default python version. Closes: #973208.

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Nov 2020 01:04:33 +0800

pytest-mpi (0.4-1) unstable; urgency=medium

  * New upstream release.
  * clean pytest_mpi.egg-info from src dir
  * don't compress changelog.html (needed whole in html docs)
  * build docs against pybuild build_dir

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Jul 2020 13:12:30 +0800

pytest-mpi (0.3+git20191218.a8e7b56-5) unstable; urgency=medium

  * allow oversubscribing openmpi in debian/tests

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 May 2020 01:52:31 +0800

pytest-mpi (0.3+git20191218.a8e7b56-4) unstable; urgency=medium

  * debian/tests Depends: python3-sybil

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 May 2020 17:59:32 +0800

pytest-mpi (0.3+git20191218.a8e7b56-3) unstable; urgency=medium

  * add debian/tests (autopkgtest). Uses pytest -p pytester.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 May 2020 21:20:06 +0800

pytest-mpi (0.3+git20191218.a8e7b56-2) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * mark python-pytest-mpi-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Apr 2020 15:30:14 +0800

pytest-mpi (0.3+git20191218.a8e7b56-1) unstable; urgency=medium

  * Initial release (Closes: #948699)
    - use latest git rather than v0.3 tarball
  * skip build-time tests (dh_auto_test) for now

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jan 2020 16:26:28 +0800
