=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pytest-mpi

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf src/pytest_mpi.egg-info

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=`pybuild -p $(shell py3versions -dv) --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
	PYTHONPATH=`pybuild -p $(shell py3versions -dv) --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator

override_dh_auto_test:
	echo "skipping build-time tests until further notice"

override_dh_compress:
	dh_compress -X changelog.html
