=== debian/tests/control ===
Test-Command: set -e
 ; export OMPI_MCA_rmaps_base_oversubscribe=1
 ; for py in $(py3versions -s 2>/dev/null)
 ; do echo "Testing with $py:"
 ; $py -m pytest -s -p pytester -k "not (test_mpi_with_mpi or test_mpi_only_mpi)"
 ; done
Depends: python3-all,
         python3-pytest-mpi,
         python3-pytest,
         python3-mpi4py,
         python3-sybil,
         mpi-default-bin
