## pytest-mpi 0.5

=== debian/changelog ===
pytest-mpi (0.5-6) unstable; urgency=medium

  * Team upload.
  * Patch the tests directly to allow oversubscription (and running on
    the i386 debci test runners).
  * Remove unused debian/source/lintian-overrides

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 12 Oct 2021 15:58:10 +0200

pytest-mpi (0.5-5) unstable; urgency=medium

  * builds docs only in arch-indep builds
  * pass MPI oversubscribe setting (env variable) to tox test
    instances via TOX_TESTENV_PASSENV

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 14:55:25 +0200

pytest-mpi (0.5-4) unstable; urgency=medium

  * Team upload.
  * Autopkgtests: pass --sitepackages to tox so it uses the Debian
    packages (Closes: #993691)
  * Append ":any" to python build-dep to facilitate cross-building.
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * debian/patches/py.test-3: Use the Debian package name for pytest
  * Make use of ${sphinxdoc:Built-Using}

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Oct 2021 14:33:48 +0200

pytest-mpi (0.5-3) unstable; urgency=medium

  * debian/tests Depends: gcc | c-compiler
    (not automatically installed for mpicc in openmpi-bin)
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Aug 2021 01:48:30 +0200

pytest-mpi (0.5-2) unstable; urgency=medium

  * place man page in Section 7 (miscellaneous), since there is no
    pytest-mpi executable for Section 1.
  * debian/tests/control Depends: python3-pytest-cov
  * register no-op-testsuite in debian/source/lintian-overrides
    (tox tests are functioning fine)

 -- Drew Parsons <dparsons@debian.org>  Mon, 16 Aug 2021 03:28:58 +0200

pytest-mpi (0.5-1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch fix_pytest6_PR12.patch
    - fixes test_mpi_with_mpi and test_mpi_only_mpi. Closes: #980842.
  * run debian/tests with tox, not pytest directly
    (only run py tests, not doc,flake,check-manifest)

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Mar 2021 17:32:02 +0100
