## pytest-mpi 0.6

=== debian/changelog ===
pytest-mpi (0.6-9) unstable; urgency=medium

  * bump i386 test timeout to 60 sec
  * debian patch intersphinx_local_docs.patch points intersphinx at
    local index for python docs.
    Build-Depends-Indep: python3-doc <!nodoc>
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Sep 2025 12:08:42 +0200

pytest-mpi (0.6-8) unstable; urgency=medium

  * Team upload.
  * Bump test timeout to 20 seconds more effectively on i386.  (I'd got the
    sense of a test wrong; and armel/armhf were fine as they were.)

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Dec 2024 10:44:12 +0000

pytest-mpi (0.6-7) unstable; urgency=medium

  * Team upload.
  * Port to Sphinx 8.0 (closes: #1090127).
  * Bump test timeout to 20 seconds on i386/armel/armhf.

 -- Colin Watson <cjwatson@debian.org>  Wed, 18 Dec 2024 13:32:08 +0000

pytest-mpi (0.6-6) unstable; urgency=medium

  * Team upload.
  * Refresh debian/patches/oversubscribe_tests to correctly handle mpich on
    32 bit arches. debian/tests/unittests now sets an environment variable
    called MPI_OVERSUBSCRIBE which is:
    - empty on 32 bit arches, since mpich does not need any flag if the number
      of MPI processes is higher than the number of cores
    - equal to "--oversubscribe" on 64 bit arches, since openmpi does need such
      flag to be passed, as in the previous version of the patch.
    The environment variable is then picked up in tests/conftest.py through the
    patch and passed to the tests.
    Closes: #1076467.
  * Add debian/patches/default_timeout_as_env_var.patch to allow autopkgtest to
    customize the timeout for running MPI tests by setting the optional
    DEFAULT_TIMEOUT environment variable. If the variable is not set, it assumes
    a default value of 5 seconds, which is the value that used to be harcoded
    before the application of the patch. The default value is reasonable on
    every arch, except for riscv64, where tests run very slowly, and the
    DEFAULT_TIMEOUT environment variable is set to 60.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Fri, 30 Aug 2024 11:28:51 +0000

pytest-mpi (0.6-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2023 19:48:30 -0400

pytest-mpi (0.6-4) experimental; urgency=medium

  * Team upload.
  * Run autopkgtest without tox (which broke with tox 4, and isn't currently
    testing any supported python versions, anyway).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 11 May 2023 19:52:33 -0400

pytest-mpi (0.6-3) unstable; urgency=medium

  * debian patch test_sybil.patch enables tests to run with
    python3-sybil < 3. cf. scrapy commit #67994d1. Closes: #1008751.

 -- Drew Parsons <dparsons@debian.org>  Sat, 02 Apr 2022 10:34:48 +0200

pytest-mpi (0.6-2) unstable; urgency=medium

  * upload 0.6 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 17 Mar 2022 01:20:05 +0100

pytest-mpi (0.6-1) experimental; urgency=medium

  * New upstream release.
  * build docs after dh_auto_build, not by overriding it
  * update debian/tests
    - versioned Depends: python3-sybil (>= 3.0.0~)
    - Restrictions: allow-stderr to ignore deprecation warnings

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Feb 2022 14:19:37 +0100
