=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-setuptools,
- python3-all,
+ python3-all:any,
  python3-pytest,
  python3-sphinx
-Build-Depends-Indep: python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Build-Depends-Indep: python3-sphinx-rtd-theme <!nodoc>,
+ python3-doc <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://github.com/aragilar/pytest-mpi
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-mpi
 Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-mpi.git
 Testsuite: autopkgtest-pkg-python
@@ -36,6 +38,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: a plugin for pytest testing MPI-related code (common documentation)
  pytest-mpi provides a number of things to assist with using pytest
  with MPI-using code, specifically:
