=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,11 @@
 	dh_clean
 	rm -rf src/pytest_mpi.egg-info
 
-override_dh_auto_build-indep:
-	dh_auto_build
-	PYTHONPATH=`pybuild -p $(shell py3versions -dv) --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bhtml  docs/ build/html # HTML generator
-	PYTHONPATH=`pybuild -p $(shell py3versions -dv) --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bman   docs/ build/man  # Manpage generator
+execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep:
+	PYTHONPATH=`pybuild -p $(shell py3versions -dv) --print {build_dir}` sphinx-build -N -bhtml  docs/ build/html # HTML generator
+	PYTHONPATH=`pybuild -p $(shell py3versions -dv) --print {build_dir}` sphinx-build -N -bman   docs/ build/man  # Manpage generator
 	mv build/man/pytest-mpi.1 build/man/pytest-mpi.7
 	sed 's/"PYTEST-MPI" "1"/"PYTEST-MPI" "7"/' -i build/man/pytest-mpi.7
