=== debian/tests/control ===
Tests: unittests
Depends: python3-all,
         python3-pytest-mpi,
         python3-pytest,
         python3-pytest-cov,
         python3-mpi4py,
         python3-sybil,
         mpi-default-bin,
         gcc | c-compiler
Restrictions: allow-stderr
