=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pytest-mpi-$1.tar.gz%" \
 https://github.com/aragilar/pytest-mpi/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
